DescriptorProtos.GeneratedCodeInfoOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.GeneratedCodeInfoOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.GeneratedCodeInfo, DescriptorProtos.GeneratedCodeInfo.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.GeneratedCodeInfoOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.GeneratedCodeInfo.Annotation` | `getAnnotation(int index)` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `int` | `getAnnotationCount()` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `java.util.List<DescriptorProtos.GeneratedCodeInfo.Annotation>` | `getAnnotationList()` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder` | `getAnnotationOrBuilder(int index)` An Annotation connects some span of text in generated code to an element of its generating .proto file.
    `java.util.List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder>` | `getAnnotationOrBuilderList()` An Annotation connects some span of text in generated code to an element of its generating .proto file.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getAnnotationList

          java.util.List<DescriptorProtos.GeneratedCodeInfo.Annotation> getAnnotationList()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`

    - #### getAnnotation

          DescriptorProtos.GeneratedCodeInfo.Annotation getAnnotation(int index)

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`

    - #### getAnnotationCount

          int getAnnotationCount()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`

    - #### getAnnotationOrBuilderList

          java.util.List<? extends DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder> getAnnotationOrBuilderList()

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`

    - #### getAnnotationOrBuilder

          DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder getAnnotationOrBuilder(int index)

           An Annotation connects some span of text in generated code to an element
           of its generating .proto file.

      `repeated .google.protobuf.GeneratedCodeInfo.Annotation annotation = 1;`